'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var unitFormatter = function unitFormatter(unit) {
  return function (key, value) {
    return key + ':' + value + unit + ';';
  };
};

var reduceProperties = exports.reduceProperties = function reduceProperties(props, formatter) {
  return Object.keys(props).reduce(function (acc, prop) {
    return '' + acc + formatter(prop, props[prop]);
  }, '');
};

var format = function format(keyframes) {
  var formatter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : format.PX_FORMATTER;

  return Object.keys(keyframes).reduce(function (outer, perc) {
    var value = reduceProperties(keyframes[perc], formatter);
    return '' + outer + perc + '{' + value + '}';
  }, '');
};

['em', 'rem', 'px'].forEach(function (unit) {
  format[unit.toUpperCase() + '_FORMATTER'] = unitFormatter(unit);
});

exports.default = format;